# Enum Class VulkanInternalAllocation

java.lang.Object
java.lang.Enum<VulkanInternalAllocation>
com.io7m.jcoronado.api.VulkanInternalAllocation

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanInternalAllocation>`, `Constable`

public enum VulkanInternalAllocation extends Enum<VulkanInternalAllocation> implements VulkanEnumIntegerType
Allocation type.

See Also:
  - "VkInternalAllocationType"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_INTERNAL_ALLOCATION_TYPE_EXECUTABLE`
  Specifies that the allocation is intended for execution by the host.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanInternalAllocation`
  `ofInt(int type)`
  Create a type from the given integer.
  `int`
  `value()`
  `static VulkanInternalAllocation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanInternalAllocation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_INTERNAL_ALLOCATION_TYPE_EXECUTABLE

    public static final VulkanInternalAllocation VK_INTERNAL_ALLOCATION_TYPE_EXECUTABLE
    Specifies that the allocation is intended for execution by the host.

- ## Method Details

  - ### values

    public static VulkanInternalAllocation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanInternalAllocation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### ofInt

    public static VulkanInternalAllocation ofInt(int type)
    Create a type from the given integer.
    Parameters:
      `type` - The integer value
    Returns:
      The type associated with the integer

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant